diff --git a/checker/checker.sh b/checker/checker.sh
index ebb57e65969a53167efae1fabce57326809981b4..8e9b491d39c32be4c766ef3ef0695e4f594313b5 100755
--- a/checker/checker.sh
+++ b/checker/checker.sh
@@ -7,6 +7,8 @@ cd "$(dirname "$0")" || exit 1
 
 EXECUTABLE="../src/perfect"
 TIMEOUT_DURATION=10
+SCORE=0
+TOTAL_SCORE=0
 
 test_err()
 {
@@ -52,7 +54,6 @@ test_edge()
     return $?
 }
 
-
 setup()
 {
     pushd ../src > /dev/null || exit 1
@@ -68,31 +69,42 @@ cleanup()
 }
 
 test_fun_array=(                        \
-	test_err            "Name 1"    5   \
-	test_single         "Name 2"    5   \
-	test_multiple       "Name 3"    5   \
-	test_edge           "Name 4"    5   \
+	test_err            "Name 1"    25  \
+	test_single         "Name 2"    25  \
+	test_multiple       "Name 3"    25  \
+	test_edge           "Name 4"    25  \
 )
 
-test_all()
+run_test()
 {
-    local score=0
+    test_index="$1"
+    test_func_index=$((test_index * 3))
+    description=${test_fun_array[$((test_func_index + 1))]}
+    points=${test_fun_array[$((test_func_index + 2))]}
+    TOTAL_SCORE=$((TOTAL_SCORE + points))
+
+    echo -ne "Testing\t\t$description\t"
+    if ${test_fun_array["$test_func_index"]} ; then
+        SCORE=$((SCORE + points))
+        echo "$points/$points"
+    else
+        echo "0/$points"
+    fi
+}
 
+test_all()
+{
     for i in $(seq 0 "$((${#test_fun_array[@]} / 3 - 1))") ; do
-        test_index=$((i * 3))
-        description=${test_fun_array[$((test_index + 1))]}
-        points=${test_fun_array[$((test_index + 2))]}
-
-
-        echo -e "Testing\t\t$description"
-        if ${test_fun_array["$test_index"]} ; then
-            score=$((score + points))
-        fi
+        run_test "$i"
     done
 
-    echo -e "\nTotal: $score"
+    echo -e "\nTotal: $SCORE/$TOTAL_SCORE"
 }
 
 setup
-test_all
+if [ -z "$1" ] ; then
+    test_all
+else
+    run_test "$1"
+fi
 cleanup
diff --git a/local.sh b/local.sh
index 9b216855138d500fb7a12bcdadae839e74e4fec7..e9bf98d6db801e6c0c233bd5c748e7587ca6e951 100755
--- a/local.sh
+++ b/local.sh
@@ -18,11 +18,11 @@ DEFAULT_REGISTRY='registry.gitlab.cs.pub.ro'
 #=============================================================================
 
 LOG_INFO() {
-    echo -e "[$(date +%F_%T)] [INFO] $1"
+    echo -e "[$(date +%FT%T)] [INFO] $1"
 }
 
 LOG_FATAL() {
-    echo -e "[$(date +%F_%T)] [${RED}FATAL${NC}] $1"
+    echo -e "[$(date +%FT%T)] [${RED}FATAL${NC}] $1"
     exit 1
 }
 
@@ -63,9 +63,10 @@ print_help() {
     echo "      --full_image_name <full_image_name> - the full name of the image (default: registry.gitlab.cs.pub.ro/<current_directory_name>:latest)"
     echo "      --use_executable <executable> - command to run inside the container (default: /bin/bash)"
     echo ""
-    echo "local.sh checker [--remove_image] [argumets_for_checker]"
+    echo "local.sh checker [--remove_image] [--use_existing_image <image_name>] [argumets_for_checker]"
     echo ""
     echo "      --remove_image - remove the checker's docker image after the run"
+    echo "      --use_existing_image - user image_name instead of building the image from current directory"
     echo "      argumets_for_checker - list of space separated arguments to be passed to the checker"
     echo ""
 }
@@ -232,7 +233,7 @@ checker_main() {
     LOG_INFO "Running checker..."
     docker run --rm \
             --mount type=bind,source="$tmpdir",target=/build \
-            "$image_name" /bin/bash /build/checker/checker.sh "${script_args[@]}"
+            "$image_name" /bin/bash -c "rm -rf /usr/local/bin/bash; /build/checker/checker.sh \"${script_args[@]}\"" # remove bash middleware script
 
     if [ -n "$remove_image" ] ; then
         LOG_INFO "Cleaning up..."
diff --git a/src/perfect b/src/perfect
deleted file mode 100755
index 6ef9600217570a331152fc51655f6fffd8ff5e68..0000000000000000000000000000000000000000
Binary files a/src/perfect and /dev/null differ